Attribute VB_Name = "modCircleDraw"
Option Explicit
Dim X, Y As Integer

Public Sub CircleDraw()
Dim d As Double
    X = 0
    Y = radius
    d = 5# / 4# - radius
    
    symmetryPlot X, Y
    While (Y > X)
        If (d < 0) Then
        'select East
            d = d + 2# * X + 3#
        Else
        'select South East
            d = d + 2# * (X - Y) + 5#
            Y = Y - 1
        End If
        X = X + 1
        symmetryPlot X, Y
    Wend
End Sub

Private Sub symmetryPlot(ByVal ox As Integer, ByVal oy As Integer)
    paintPixel ox + x0, oy + y0
    paintPixel oy + x0, ox + y0
    paintPixel oy + x0, -ox + y0
    paintPixel ox + x0, -oy + y0
    paintPixel -ox + x0, -oy + y0
    paintPixel -oy + x0, -ox + y0
    paintPixel -oy + x0, ox + y0
    paintPixel -ox + x0, oy + y0
    
    If (lineWidth > 1) Then
        thickPaint ox + x0, oy + y0
        thickPaint oy + x0, ox + y0
        thickPaint oy + x0, -ox + y0
        thickPaint ox + x0, -oy + y0
        thickPaint -ox + x0, -oy + y0
        thickPaint -oy + x0, -ox + y0
        thickPaint -oy + x0, ox + y0
        thickPaint -ox + x0, oy + y0
    End If
End Sub

