Attribute VB_Name = "modGlobals"
Public x0, y0, x1, y1 As Integer
Public radius As Integer
Public lineWidth As Integer

'Public x, y As Integer
Public picX0, picY0

Public currentFigure As String
Public Algorithm As String
Public Primitive As String

Public Sub paintPixel(ByVal px As Integer, ByVal py As Integer)
    frmDraw.picArea.PSet (picX0 + px, picY0 - py), frmDraw.picArea.ForeColor
End Sub

Public Sub thickPaint(ByVal tx As Integer, ByVal ty As Integer)
    Select Case (Primitive)
        Case "Pixel Replication": pixelReplication tx, ty
        Case "Rectangular Pen": rectangularPen tx, ty
    End Select
End Sub

Public Sub pixelReplication(ByVal px As Integer, ByVal py As Integer)
    
    Dim above As Integer
    Dim below As Integer
    Dim i, j As Integer
    
    above = Round((lineWidth - 1) / 2)
    below = (lineWidth - 1) - above
    
    If (m <= 1 And m >= 0) Then
    ' for (0 <= theta <= 45)
    'use Column Replication
            For i = 0 To (above - 1)
                paintPixel px, py + i + 1
            Next i
            For j = 0 To (below - 1)
                paintPixel px, py - j - 1
            Next j
    Else
    'for other values of Theta (May not Work all the time)
    'Use Row Replication
            For i = 0 To (above - 1)
                paintPixel (px + i + 1), py
            Next i
            For j = 0 To (below - 1)
                paintPixel (px - (j - 1)), py
            Next j
    End If
End Sub

Public Sub rectangularPen(ByVal rx As Integer, ByVal ry As Integer)
    Dim i, j As Integer
    Dim count As Integer
    If lineWidth Mod 2 = 0 Then
    'i.e. for even lineWidth make it odd
        lineWidth = lineWidth + 1
    End If
     
    count = (lineWidth - 1) / 2
    
    For i = (rx - count) To (rx + count)
        For j = (ry - count) To (ry + count)
            paintPixel i, j
        Next j
    Next i
End Sub

